# links

This configuration section contains settings to configure how test case links should be updated based on the tags of the scenario.

Read more about synchronizing test case links in the [Linking work items using tags](/specsync/jira/features/common-synchronization-features/linking-work-items-with-tags.md) concept description.

The following example shows how this sub-section can be used to specify a single link type.

```javascript
{
  ...
  "synchronization": {
    ...
    "links": [
      {
        "tagPrefix": "bug"
      }
    ],
    ...
  },
  ...
}
```

The following example shows the available options within this sub-section. This example configures two link types.

```javascript
{
  ...
  "synchronization": {
    ...
    "links": [
      {
        "tagPrefix": "story",
        "targetType": "User Story",
        "relationship": "Parent"
      },
      {
        "tagPrefix": "bug"
      }
    ],
    ...
  },
  ...
}
```

## Settings

The `links` sub-section contains an array of link type configurations. Each of them is used to configure a link type. (The second example above configures two link types.)

{% hint style="info" %}
Some Jira test case management solution does not support different link relationships. In those cases the setting should not be left unspecified.
{% endhint %}

For each link type configuration the following settings can be used.

| Setting           | Description                                                                                                                                                                                                                       | Default                        |
| ----------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| `tagPrefix`       | A tag prefix for specifying the relation for the scenario. E.g. specify `story` for linking product backlog items using a tag, like `@story:P01-123`. The prefix can only contain word characters (letters, numbers, underscore). | mandatory                      |
| `targetType`      | The type of the Jira work item the link refers to. It is verified at the time the link is established.                                                                                                                            | can link to any work item type |
| `relationship`    | Specify the relationship for the created link. E.g. specifying `Parent` means that the linked work item will be the parent of the test case work item.                                                                            | `Tests`                        |
| `linkTemplate`    | Specifies the HTTP link template of the related artifact. The link template can use the specified value using the `{id}` placeholder.                                                                                             | no template used               |
| `disableTracking` | Disables tracking of the created links. If tracking is disabled, SpecSync will never automatically remove the link even if the corresponding tag has been deleted.                                                                | false                          |

{% content-ref url="/pages/BTblM0Sv8iEZAlklTdyZ" %}
[synchronization](/specsync/jira/reference/configuration/configuration-synchronization.md)
{% endcontent-ref %}

{% content-ref url="/pages/As0iwTwtwwMJKOfZACmA" %}
[Configuration reference](/specsync/jira/reference/configuration.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specsolutions.eu/specsync/jira/reference/configuration/configuration-synchronization/configuration-synchronization-links.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
